# Form implementation generated from reading ui file 'src/eric7/HexEdit/HexEditSearchWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HexEditSearchWidget(object):
    def setupUi(self, HexEditSearchWidget):
        HexEditSearchWidget.setObjectName("HexEditSearchWidget")
        HexEditSearchWidget.resize(600, 28)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(HexEditSearchWidget.sizePolicy().hasHeightForWidth())
        HexEditSearchWidget.setSizePolicy(sizePolicy)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(HexEditSearchWidget)
        self.horizontalLayout_2.setContentsMargins(1, 1, 1, 1)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.closeButton = QtWidgets.QToolButton(parent=HexEditSearchWidget)
        self.closeButton.setText("")
        self.closeButton.setObjectName("closeButton")
        self.horizontalLayout_2.addWidget(self.closeButton)
        self.label = QtWidgets.QLabel(parent=HexEditSearchWidget)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.findFormatCombo = QtWidgets.QComboBox(parent=HexEditSearchWidget)
        self.findFormatCombo.setObjectName("findFormatCombo")
        self.horizontalLayout_2.addWidget(self.findFormatCombo)
        self.findtextCombo = QtWidgets.QComboBox(parent=HexEditSearchWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findtextCombo.sizePolicy().hasHeightForWidth())
        self.findtextCombo.setSizePolicy(sizePolicy)
        self.findtextCombo.setMinimumSize(QtCore.QSize(300, 0))
        self.findtextCombo.setEditable(True)
        self.findtextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.findtextCombo.setDuplicatesEnabled(False)
        self.findtextCombo.setObjectName("findtextCombo")
        self.horizontalLayout_2.addWidget(self.findtextCombo)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.findPrevButton = QtWidgets.QToolButton(parent=HexEditSearchWidget)
        self.findPrevButton.setObjectName("findPrevButton")
        self.horizontalLayout.addWidget(self.findPrevButton)
        self.findNextButton = QtWidgets.QToolButton(parent=HexEditSearchWidget)
        self.findNextButton.setObjectName("findNextButton")
        self.horizontalLayout.addWidget(self.findNextButton)
        self.horizontalLayout_2.addLayout(self.horizontalLayout)

        self.retranslateUi(HexEditSearchWidget)
        QtCore.QMetaObject.connectSlotsByName(HexEditSearchWidget)
        HexEditSearchWidget.setTabOrder(self.findFormatCombo, self.findtextCombo)
        HexEditSearchWidget.setTabOrder(self.findtextCombo, self.findPrevButton)
        HexEditSearchWidget.setTabOrder(self.findPrevButton, self.findNextButton)
        HexEditSearchWidget.setTabOrder(self.findNextButton, self.closeButton)

    def retranslateUi(self, HexEditSearchWidget):
        _translate = QtCore.QCoreApplication.translate
        HexEditSearchWidget.setWindowTitle(_translate("HexEditSearchWidget", "Find"))
        self.closeButton.setToolTip(_translate("HexEditSearchWidget", "Press to close the window"))
        self.label.setText(_translate("HexEditSearchWidget", "Find:"))
        self.findFormatCombo.setToolTip(_translate("HexEditSearchWidget", "Select the data format of the find data field"))
        self.findPrevButton.setToolTip(_translate("HexEditSearchWidget", "Press to find the previous occurrence"))
        self.findNextButton.setToolTip(_translate("HexEditSearchWidget", "Press to find the next occurrence"))
